Uses of Interface
org.apache.juneau.marshall.stream.RecordReadable
Packages that use RecordReadable
Package
Description
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
INI format serializer and parser for Apache Juneau.
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
Markdown serializer and parser support for Apache Juneau.
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Plaintext Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.Public low-level token-streaming API (pull parser + push generator) shared by every Juneau
format.
TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
-
Uses of RecordReadable in org.apache.juneau.marshall.bson
Classes in org.apache.juneau.marshall.bson that implement RecordReadableModifier and TypeClassDescriptionclassParses BSON (Binary JSON) into POJO models.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex.classSession object that lives for the duration of a single use ofBsonParser. -
Uses of RecordReadable in org.apache.juneau.marshall.cbor
Classes in org.apache.juneau.marshall.cbor that implement RecordReadableModifier and TypeClassDescriptionclassParses CBOR streams (RFC 8949) into POJO models.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex.classSession object that lives for the duration of a single use ofCborParser. -
Uses of RecordReadable in org.apache.juneau.marshall.csv
Classes in org.apache.juneau.marshall.csv that implement RecordReadableModifier and TypeClassDescriptionclassParses CSV (Comma Separated Values) input into Java objects.classSession object that lives for the duration of a single use ofCsvParser. -
Uses of RecordReadable in org.apache.juneau.marshall.hjson
Classes in org.apache.juneau.marshall.hjson that implement RecordReadableModifier and TypeClassDescriptionclassParses Hjson (Human JSON) text into POJO models.classSession for parsing Hjson format into POJOs. -
Uses of RecordReadable in org.apache.juneau.marshall.hocon
Classes in org.apache.juneau.marshall.hocon that implement RecordReadableModifier and TypeClassDescriptionclassParses HOCON (Human-Optimized Config Object Notation) text into POJO models.classSession for parsing HOCON format into POJOs. -
Uses of RecordReadable in org.apache.juneau.marshall.html
Classes in org.apache.juneau.marshall.html that implement RecordReadableModifier and TypeClassDescriptionclassParses text generated by theHtmlSerializerclass back into a POJO model.classContextSession object that lives for the duration of a single use ofHtmlParser. -
Uses of RecordReadable in org.apache.juneau.marshall.ini
Classes in org.apache.juneau.marshall.ini that implement RecordReadableModifier and TypeClassDescriptionclassParses INI-formatted text into POJO models.classSession for parsing INI format into POJOs. -
Uses of RecordReadable in org.apache.juneau.marshall.json
Classes in org.apache.juneau.marshall.json that implement RecordReadableModifier and TypeClassDescriptionclassParses any valid RFC 8259 JSON text into a POJO model.classSession object that lives for the duration of a single use ofJsonParser. -
Uses of RecordReadable in org.apache.juneau.marshall.json5
Classes in org.apache.juneau.marshall.json5 that implement RecordReadableModifier and TypeClassDescriptionclassParses any valid JSON text into a POJO model.classSession object that lives for the duration of a single use ofJson5Parser. -
Uses of RecordReadable in org.apache.juneau.marshall.json5l
Classes in org.apache.juneau.marshall.json5l that implement RecordReadableModifier and TypeClassDescriptionclassParses JSON5L (JSON5 Lines) input into POJO models.classSession object that lives for the duration of a single use ofJson5lParser. -
Uses of RecordReadable in org.apache.juneau.marshall.jsonl
Classes in org.apache.juneau.marshall.jsonl that implement RecordReadableModifier and TypeClassDescriptionclassParses JSONL (JSON Lines) input into POJO models.classSession object that lives for the duration of a single use ofJsonlParser. -
Uses of RecordReadable in org.apache.juneau.marshall.markdown
Classes in org.apache.juneau.marshall.markdown that implement RecordReadableModifier and TypeClassDescriptionclassParses Markdown document-mode output (headings + tables) back to POJOs.classSession object forMarkdownDocParser.classParses Markdown fragment-mode output (tables and lists) back to POJOs.classSession object forMarkdownParser. -
Uses of RecordReadable in org.apache.juneau.marshall.msgpack
Classes in org.apache.juneau.marshall.msgpack that implement RecordReadableModifier and TypeClassDescriptionclassParses a MessagePack stream into a POJO model.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex.classSession object that lives for the duration of a single use ofMsgPackParser. -
Uses of RecordReadable in org.apache.juneau.marshall.oapi
Classes in org.apache.juneau.marshall.oapi that implement RecordReadableModifier and TypeClassDescriptionclassOpenAPI part parser.classSession object that lives for the duration of a single use ofOpenApiParser. -
Uses of RecordReadable in org.apache.juneau.marshall.parquet
Classes in org.apache.juneau.marshall.parquet that implement RecordReadableModifier and TypeClassDescriptionclassParses Apache Parquet binary data into bean collections.classSession forParquetParser. -
Uses of RecordReadable in org.apache.juneau.marshall.plaintext
Classes in org.apache.juneau.marshall.plaintext that implement RecordReadableModifier and TypeClassDescriptionclassParsers HTTP plain text request bodies into Group 5 POJOs.classSession object that lives for the duration of a single use ofPlainTextParser. -
Uses of RecordReadable in org.apache.juneau.marshall.sse
Classes in org.apache.juneau.marshall.sse that implement RecordReadableModifier and TypeClassDescriptionclassParsestext/event-stream input (WHATWG Server-Sent Events) into Java objects.classSession object that lives for the duration of a single use ofSseParser. -
Uses of RecordReadable in org.apache.juneau.marshall.stream
Subinterfaces of RecordReadable in org.apache.juneau.marshall.streamModifier and TypeInterfaceDescriptioninterfaceCapability role for parsers that additionally expose the structuralTokenReadercursor (FULL formats: json, json5, jsonl, cbor, msgpack). -
Uses of RecordReadable in org.apache.juneau.marshall.toml
Classes in org.apache.juneau.marshall.toml that implement RecordReadableModifier and TypeClassDescriptionclassParses TOML v1.0.0 text into POJOs.classSession for parsing TOML into POJOs. -
Uses of RecordReadable in org.apache.juneau.marshall.uon
Classes in org.apache.juneau.marshall.uon that implement RecordReadableModifier and TypeClassDescriptionclassParses UON (a notation for URL-encoded query parameter values) text into POJO models.static classDefault parser, decoding.classSession object that lives for the duration of a single use ofUonParser. -
Uses of RecordReadable in org.apache.juneau.marshall.urlencoding
Classes in org.apache.juneau.marshall.urlencoding that implement RecordReadableModifier and TypeClassDescriptionclassParses URL-encoded text into POJO models.classSession object that lives for the duration of a single use ofUrlEncodingParser. -
Uses of RecordReadable in org.apache.juneau.marshall.xml
Classes in org.apache.juneau.marshall.xml that implement RecordReadableModifier and TypeClassDescriptionclassParses text generated by theXmlSerializerclass back into a POJO model.classSession object that lives for the duration of a single use ofXmlParser. -
Uses of RecordReadable in org.apache.juneau.marshall.yaml
Classes in org.apache.juneau.marshall.yaml that implement RecordReadableModifier and TypeClassDescriptionclassParses YAML text into a POJO model.classSession object that lives for the duration of a single use ofYamlParser.